Elephant auf Linux installieren, wie?

    • McPro
      McPro
      Bronze
      Dabei seit: 29.03.2008 Beiträge: 1.241
      Hey, hat jemand von euch den Elephant unter Linux zum laufen gebracht mit den dranhängenden Programmen (PostgreSQL)? Ich hab gerade Linux Ubuntu 10.10 drauf. PokerStars krieg ich mit WineHQ zum laufen. Den Elephant hab ich noch nicht probiert. Wäre aber schonmal wieder Luxus^^
  • 6 Antworten
    • mrk1988
      mrk1988
      Bronze
      Dabei seit: 04.02.2007 Beiträge: 13.337
      Hallo McPro,

      .Net Framework läuft ja unter Wine, folglich sollte der Elephant theoretisch auch funktionieren. Die größte Frage ist hier nur, ob die Zusammenarbeit mit dem postgreSQL Dienst funktioniert.

      Ein Szenario das ich mir vorstellen könnte:

      Wine: Elephant / .Net / PokerStars
      Host System: postgreSQL

      Außerdem verschiebe ich den Thread mal ins Allgemeine Forum da wir keinen Linux Support bieten - ich aber an einer möglichen Diskussion interessiert bin ;-)
    • McPro
      McPro
      Bronze
      Dabei seit: 29.03.2008 Beiträge: 1.241
      Also irgendwie krieg ich das Net Framework nicht zum laufen mit WineHQ. Muss man da was beachten bei der Installation?
    • mrk1988
      mrk1988
      Bronze
      Dabei seit: 04.02.2007 Beiträge: 13.337
      Hey,

      dabei kann ich dir leider nicht großartig weiterhelfen allerdings gibt es dafür ausreichend Anleitungen. Zb. hier:

      http://appdb.winehq.org/objectManager.php?sClass=version&iId=17886
    • RainerB
      RainerB
      Bronze
      Dabei seit: 08.02.2006 Beiträge: 35
      Das scheint etwas kompliziert zu sein. Ich konnte dotnet 4.0 erst mit dem aktuellen Stand des Wine Source Repositories installieren. Möglicherweise geht es in Wine Version 1.3.17. In Ubuntu ist gerade aber erst 1.3.16.
      Danach ließ sich Elephant installieren.
      Ich habe danach msvcr90 und mono 2.8 über winetricks installiert.
      Nun gibt es noch einen Bug in mono 2.8, der verhindert das der Elephant startet.
      Das heisst man könnte es noch mit einer neueren Mono Version versuchen.
    • RainerB
      RainerB
      Bronze
      Dabei seit: 08.02.2006 Beiträge: 35
      Nach dem Installieren von Mono 2.10 kommt jetzt folgender Fehler:

      fixme:mscoree:parse_supported_runtime sku=L".NETFramework,Version=v4.0" not implemented
      fixme:mscoree:CLRMetaHost_GetRuntime Unrecognized version L"v4.0" err:mscoree:LoadLibraryShim error reading registry key for installroot

      Da scheint in WINE für dotnet 4 noch was zu fehlen.
    • Mangalitza
      Mangalitza
      Global
      Dabei seit: 27.08.2007 Beiträge: 1.510
      Benutze eine VM unter Linux. :f_mad: